Summary:	A lightweight, but fully functional curses frontend to gdb
Summary(pl.UTF-8):	Lekki, ale w pełni funkcjonalny frontend do gdb oparty na ncurses
Name:		cgdb
Version:	0.8.0
Release:	1
License:	GPL v2
Group:		Development/Debuggers
Source0:	http://cgdb.me/files/%{name}-%{version}.tar.gz
# Source0-md5:	180c1c7100bd9591b0d29e46896b5092
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-info.patch
URL:		http://cgdb.github.io/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel >= 5.1
BuildRequires:	texinfo
Requires:	gdb
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGDB is a curses-based interface to the GNU Debugger (GDB). The goal
of CGDB is to be lightweight and responsive; not encumbered with
unnecessary features. The interface is designed to deliver the
familiar GDB text interface, with a split screen showing the source as
it executes. The UI is modeled on the classic Unix text editor, vi.
Those familiar with vi should feel right at home using CGDB.

%description -l pl.UTF-8
CGDB to oparty na curses interfejs do GNU Debuggera (GDB). Celem CGDB
jest bycie lekkim i reaktywnym, nie obciążonym niepotrzebnymi
możliwościami. Interfejs został tak zaprojektowany, by dostarczyć
znajomy interfejs tekstowy GDB z podzielonym ekranem pokazującym
źródła wykonywanego kodu. Interfejs użytkownika jest modelowany na
klasyczny uniksowy edytor tekstu - vi. Znający vi używając CGDB
powinni czuć się jak w domu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

# pass noinst_bindir inside buildroot - don't mess in $TMPDIR/../../..
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	noinst_bindir=/progs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_bindir}/cgdb
%{_infodir}/cgdb.info*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/cgdb.txt
%changelog
* Sun Sep 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cgdb.git;a=log;h=master

* Sun Sep 24 2023 Jakub Bogusz <qboosh@pld-linux.org> 4f20317
- updated to 0.8.0

* Fri Oct 01 2021 Jakub Bogusz <qboosh@pld-linux.org> fd73d03
- updated to 0.7.1
- updated home_etc patch

* Thu Oct 17 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 408cc91
- release 2 (by relup.sh)

* Mon Dec 04 2017 Jakub Bogusz <qboosh@pld-linux.org> b3192dd
- updated to 0.7.0
- updated home_etc patch

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 696b563
- rebuild with readline 7.0
- release 2 (by relup.sh)

* Sat Mar 21 2015 Bartek Szady <bszx@bszx.eu> 0899809
- updated to 0.6.8

* Thu Sep 19 2013 Paweł Sikora <pawel.sikora@agmk.net> 0da5ac4
- updated to 0.6.7 (github migration).

* Sat Sep 10 2011 Paweł Sikora <pluto@pld-linux.org> 0c15647
- updated to 0.6.6.

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ed172f7
- release 2

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 630596f
- more verbose files
- removed obsolete sed call

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> c4700e4
- updated to 0.6.5

* Tue Feb 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 64e85bc
- release 2

* Thu Feb 05 2009 Paweł Sikora <pluto@pld-linux.org> 83fca13
- release 1.

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> a9c1b0f
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Sun Apr 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 4899139
- unify direntry

* Sun Apr 29 2007 twittner <twittner@pld-linux.org> 1a66313
- uptaded for 0.6.4

* Sun Apr 29 2007 twittner <twittner@pld-linux.org> ab5eea6
- up to 0.6.4
- rel. 0.1 - not tested, but builds on current Th unlike 0.6.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4b4f4ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 842407a
- converted to UTF-8

* Fri Jun 09 2006 Jarosław Kruk <jareq@pld-linux.org> d2c9bca
- updated to 0.6.3
- rel 1

